#include "stdafx.h"
#include "3App.h"	// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

MC3App::MC3App ()
{
} // MC3App::MC3App.

MC3App::~MC3App ()
{
} // MC3App::~MC3App.

void MC3App::InStream (MCARCHIVE& ar)
{
	if (g_nVersion == 4)
	//----- Version4.x_xZkqqHx_iCmMiPoKiNiH_xHqqkZx_ -----
	{
		// _xZkqqHx_jHhAiOiGiDfEiDeDiDfJiBeC_xHqqkZx_V3.0_xZkqqHx_iCmFiCmNjFhDjHhGiBeC_xHqqkZx_
		ar >> CPoint();
	}
	//----- _xZkqqHx_iDhGiDiKiDjDiDfOiPoOjFpBiCmMjDmHiCnNiNjOiCnNiPiIjHjN_xHqqkZx_ -----
	WORD wDevNamesSz;
	ar >> wDevNamesSz;
	m_vDevNames.resize(wDevNamesSz);
	if (wDevNamesSz != 0)
	{
		ar.Read(&m_vDevNames.front(), (long)m_vDevNames.size());
	}
	WORD wDevModeSz;
	ar >> wDevModeSz;
	m_vDevMode.resize(wDevModeSz);
	if (wDevModeSz != 0)
	{
		ar.Read(&m_vDevMode.front(), (long)m_vDevMode.size());
	}
} // MC3App::InStream.

void MC3App::OutStream (MCARCHIVE& ar)
{
	if (g_nVersion == 4)
	//----- Version4.x_xZkqqHx_iCmMiPoKiNiH_xHqqkZx_ -----
	{
		// _xZkqqHx_jHhAiOiGiDfEiDeDiDfJiBeCjFhDjGlOiCmMiClNiCnP_xHqqkZx_(0,0)_xZkqqHx_iCpAiPgPjHmNiBeC_xHqqkZx_
		ar << CPoint(0,0);
	}
	//----- _xZkqqHx_iDhGiDiKiDjDiDfOiPoOjFpBiCmMjDmHiCnNiNjOiCnNiPiIjHjN_xHqqkZx_ -----
	ar << WORD(m_vDevNames.size());
	if (!m_vDevNames.empty())
	{
		ar.Write(&m_vDevNames.front(), (long)m_vDevNames.size());
	}
	ar << WORD(m_vDevMode.size());
	if (!m_vDevMode.empty())
	{
		ar.Write(&m_vDevMode.front(), (long)m_vDevMode.size());
	}
} // MC3App::OutStream.

